Package org.apache.torque.templates.transformer.om

## Class OMForeignKeyColumnTransformer

- java.lang.Object
- - org.apache.torque.templates.transformer.om.OMForeignKeyColumnTransformer

-     public class OMForeignKeyColumnTransformer
      extends Object

  Sets the referenced and referencing columns for the column. These references are defined by foreign key definitions. The structure before transformation is: database table column column ... foreign-key reference foreign-key reference reference ... ... table table ... The structure after transformation is database table column referenced-column (a foreign key exists containing the current column as local reference) column (the foreign reference of the said foreign key) foreign-key (the foreign key defining the relation) referencing-column (a foreign key exists containing the current column as foreign reference) column (the local reference of the said foreign key) foreign-key (the foreign key defining the relation) referencing-column column foreign-key ... column ... foreign-key reference foreign-key reference reference ... ... table table ... Note that the foreign keys in the foreign-keys and referencing-foreign-keys are the original elements, not just copies.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OMForeignKeyColumnTransformer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `transform​(SourceElement column, ControllerState controllerState)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OMForeignKeyColumnTransformer

          public OMForeignKeyColumnTransformer()

  - ### Method Detail

    - #### transform

          public void transform​(SourceElement column,
                                ControllerState controllerState)
                         throws SourceTransformerException

      Throws:
        `SourceTransformerException`